## org.apache.mahout.math.hadoop.stochasticsvd.qr
Class GramSchmidt

    java.lang.Object
      org.apache.mahout.math.hadoop.stochasticsvd.qr.GramSchmidt

    public final class GramSchmidt

extends Object

Gram Schmidt quick helper.

Method Summary
`static void` `orthonormalizeColumns(Matrix mx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### orthonormalizeColumns

    public static void orthonormalizeColumns(Matrix mx)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.